# node-red-contrib-mip-robotics

[![image](https://static.wixstatic.com/media/48eef3_7b0486d6d5e841c2b8828abfa4a6e1e4~mv2_d_16792_7883_s_4_3.png/v1/fill/w_175,h_80,al_c,q_85,usm_0.66_1.00_0.01/Side%20Ways%20Logo-01.webp)](https://www.mip-robotics.com/)


The Node-Red node included in this package will help MIP robot users to create programs locally on their machines. The created programs can be simulated and/or executed by the real MIP robots.


## Installation

```sh
# change to your ~/.node-red/ folder
cd ~/.node-red/
npm install node-red-contrib-mip-robotics
```
## Node-RED - Manage Palette Installation
You can also install the node via the manage palette feature in the Node-RED administration UI.

## How to use the Node-RED node
### Step 1: create your program
- Add an inject node.
- Add the Setup node in which you define the program path and name.
- Add all the instructions you want to execute (Go to point, Set IO,..).
- When you are done with your program, add the "Program End" node.
- You are done :)
### Step 2: generate the program
Once you have your program created, all you need to do is to deploy and press the inject node placed at the start. You will end up by getting a text file which contains the robot program.
